Subject: Re: /etc/profile always does a "cd $HOME"
From: Sven Köhler <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: [email-masked]
Date: Mon, 23 May 2005 17:08:33 +0200

>>> i'd like to use cygwin from a normal windows-app. The problem is, that i
>>> need a login-shell, so that all environment-vars are properly set. The
>>> problem: bash -li always changes the current workdir!
>>
>> So here's what i'd like to do. Perhaps you could help me with that:
>>
>> I'm trying to execute make from a regular windows app. imagine if
>> batch-file if it helps. So my batch-file would look like that
>>
>> c:\cygwin\bin\bash -lc "make"
>>
>> If i use bash without the "-l", the PATH variable contains too few
>> entries, and make isn't found. Besides changed the PATH-variable
>> manually, which possibility is there to execute a command within a fully
>> functional cygwin environment?
>
> Just add x:/cygwin/bin to the global PATH and call make directly?

The point was "a flly functional" environment, and just adding /bin to
the PATH is only half the things, i'd need to do.

Look in /etc/profile, and see how many variables it sets. The PATH also
contains much more entries than just /bin.